/**
* @author Dirk Nordmann
* @date   23.01.2002
*/
package xml2rtf.rtf;

import util.*;

public class RtfParagraph
{
  private String pclass;
  
  /**
  * Constructor
  */
  public RtfParagraph(String pclass)
  {
    this.setPClass(pclass);
  }

  /**
  * Sets the class for this paragraph-tag.
  * @param newPClass
  */
  public void setPClass(String newPClass) 
  {
    this.pclass = newPClass;
  }
  
  /**
  * Returns the class of this heading-tag.
  * @return String
  */
  public String getPClass() 
  {
    return this.pclass;
  }
  
  /**
  * Processes RTF representation of paragraph.
  * @param   rtfgenerator	RTF-Generator Object.
  */
  public void processPre(RtfGenerator rtfgenerator)
  {
    if (this.getPClass() != null && this.getPClass().equals("caption"))
      rtfgenerator.outputRtf(CAPTION);  
    else
      rtfgenerator.outputRtf(RtfWriter.PARAGRAPH);  
  }

  /**
  * Processes RTF representation of paragraph.
  * @param   rtfgenerator	RTF-Generator Object.
  */
  public void processPost(RtfGenerator rtfgenerator)
  {
    rtfgenerator.outputRtf(RtfWriter.PARAGRAPH_END);
  }

  public static final String CAPTION
    = "\n\\qj "
    + "\\s16\\qj "
    + "\n\\sl300\\slmult1\\widctlpar\\aspalpha\\aspnum\\faauto\\adjustright "
    + "\\i\\fs18\\lang1031\\langfe1031\\loch\\af1\\hich\\af1\\dbch\\af16\\cgrid\\langnp1031\\langfenp1031 "
    + "\n{";
    
}